Bug 58907 - AbiWord is unsuitable for inclusion in RedHat Linux
AbiWord is unsuitable for inclusion in RedHat Linux
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: abiword (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-27 13:05 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 02:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-27 13:05:41 EST
After much confusion and a little web searching I discovered that the
reason we had so many font problems was AbiWord.  rpm --erase fixed it. 

AbiWord:
	1> Installs fonts with false names on the global font path.   AbiWord adds
	an Arial, for example, that's really Nimbus Sans.
	http://bugzilla.abisource.com/show_bug.cgi?id=2598

	2> Messes with the font path while running (meaning, if Abi is running,
	other apps behave differently).  AbiWord's foundary name comes before
	"adobe" "monotype" or "urw", so when AbiWord is running you get
	AbiWord's fonts or a weird mixture of fonts:
	http://bugzilla.abisource.com/show_bug.cgi?id=1030

	3> AbiWord includes copyrighted fonts with no licence or notice:
	http://bugzilla.abisource.com/show_bug.cgi?id=2598

	4> Will not use valid system fonts:
	http://bugzilla.abisource.com/show_bug.cgi?id=2422
	http://bugzilla.abisource.com/show_bug.cgi?id=1381
	http://bugzilla.abisource.com/show_bug.cgi?id=2493

	5> The bugzilla comments from the core developers read like:
	"I do not consider this a bug.", and "Then please get someone
	@ Ximian to help us out. I'm sorry, but we've got to 
	prioritize our bugs and this is nowhere near the top of our list."

The AbiWord developers have shown no real interest in fixing the above, not even
for their 1.0 release, and they defend the current design.

Until AbiWord ceases to be in the font business, it's a danger to the rest of
the distribution.

Please move abiword to a location on the CD's where it won't be installed (even
on an "everything" install).  If just a few applications took the liberties that
AbiWord does,
absolute chaos would result.
Comment 1 Jeremy Katz 2002-07-18 00:48:13 EDT
We no longer leave the abiword font "aliases" in place which resolves most of
the problems related to that and their foundry name has changed so that it's
last in the list.

Note You need to log in before you can comment on or make changes to this bug.